VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::recovery::RestoreTypes::LocationType Class Reference

`Restore.LocationType` enumerated type Defines type of all locations for backup/restore More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, FTPS, HTTP, SCP, HTTPS, FTP }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static LocationType[] | GetValues ()
static LocationType | ValueOf (string name)
## Static Public Attributes
static readonly LocationType | FTPS = new LocationType("FTPS", Values.FTPS)
| Destination is FTPS server.
static readonly LocationType | HTTP = new LocationType("HTTP", Values.HTTP)
| Destination is HTTP server.
static readonly LocationType | SCP = new LocationType("SCP", Values.SCP)
| Destination is SSH server.
static readonly LocationType | HTTPS = new LocationType("HTTPS", Values.HTTPS)
| Destination is HTTPS server.
static readonly LocationType | FTP = new LocationType("FTP", Values.FTP)
| Destination is FTP server.

## Detailed Description

`Restore.LocationType` enumerated type Defines type of all locations for backup/restore

## Member Enumeration Documentation

enum vmware::appliance::recovery::RestoreTypes::LocationType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  FTPS | Destination is FTPS server.
  HTTP | Destination is HTTP server.
  SCP | Destination is SSH server.
  HTTPS | Destination is HTTPS server.
  FTP | Destination is FTP server.

## Member Function Documentation

Values vmware::appliance::recovery::RestoreTypes::LocationType::GetEnumValue | ( |  | ) | `[inline]`

static LocationType [] vmware::appliance::recovery::RestoreTypes::LocationType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::recovery::RestoreTypes::LocationType::IsUnknown | ( |  | ) | `[inline]`

static LocationType vmware::appliance::recovery::RestoreTypes::LocationType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly LocationType vmware::appliance::recovery::RestoreTypes::LocationType::FTP = new LocationType("FTP", Values.FTP)`[static]`

Destination is FTP server.

readonly LocationType vmware::appliance::recovery::RestoreTypes::LocationType::FTPS = new LocationType("FTPS", Values.FTPS)`[static]`

Destination is FTPS server.

readonly LocationType vmware::appliance::recovery::RestoreTypes::LocationType::HTTP = new LocationType("HTTP", Values.HTTP)`[static]`

Destination is HTTP server.

readonly LocationType vmware::appliance::recovery::RestoreTypes::LocationType::HTTPS = new LocationType("HTTPS", Values.HTTPS)`[static]`

Destination is HTTPS server.

readonly LocationType vmware::appliance::recovery::RestoreTypes::LocationType::SCP = new LocationType("SCP", Values.SCP)`[static]`

Destination is SSH server.

The documentation for this class was generated from the following file:

- RestoreTypes.cs